%global momorel 6
Summary: A advanced, graphical PCM audio player
Name: alsaplayer
Version: 0.99.76
Release: %{momorel}m
URL: http://www.alsaplayer.org/
Source: http://www.alsaplayer.org/alsaplayer-%{version}.tar.bz2
NoSource: 0
License: GPL
Group: Applications/Multimedia
Patch0: %{name}-0.99.75-jp.patch
BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k
BuildPreReq: gtk+-devel, libvorbis-devel, mikmod, xosd
BuildPreReq: flac-devel >= 1.1.2
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildRequires: libmad, libid3tag, esound-devel, audiofile-devel, libid3tag
Requires: alsa-lib >= 0.9.0, flac >= 1.1.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
AlsaPlayer is a new PCM player developed on the Linux Operating
System. AlsaPlayer was written in the first place to excercise the new
ALSA (Advanced Linux Sound Architecture) driver and library system.

It has now developed into a versitile audio player with rich plugin system.
The  Input Plugins plugins include: OGG, MPEG, MAD, CDDA, MikMod, and
Audiofile. The Output Plugins include: ALSA, OSS and OSS/Lite, Esound,
Sparc (tested on UltraSparc), SGI, and JACK. There are also a few scope
plugins included.

%package devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Summary: Files needed for building applications with libalsaplayer

%description devel
The functionality of the alsaplayer is also exposed via a c programming
library. This package is neede to compile programs that uses the library.

%prep

%setup -q
%patch0 -p1 -b .jp

%build
%configure --enable-jconv=yes --enable-audiofile
%make

%install
%{__rm} -rf %{buildroot}
#make install DESTDIR=%{buildroot} DOC_DIR=$RPM_BUILD_DIR/alsaplayer-%{version}
make DESTDIR=%{buildroot} install

# remove unwanting files and dirs.
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO docs/*txt
%{_bindir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so.*
%{_libdir}/alsaplayer/*
%{_datadir}/man/man*/*

%files devel
%defattr(-,root,root)
%doc docs/reference/html
%{_includedir}/alsaplayer/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Wed Jul  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.76-6m)
- rebuild against flac-1.1.2

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.76-5m)
- rebuild against flac 1.1.1
- BuildPreReq: flac-devel >= 1.1.1

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.76-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed May 5 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.99.76-3m)
- add BuildPreReq xosd

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.99.76-2m)
- revised spec for enabling rpm 4.2.
- DONATIONS is nolonger deliverred.

* Thu Dec 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.76-1m)
- upgrade 0.99.76

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.99.75-2m)
- use libmad, libid3tag

* Fri May  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.75-1m)

* Thu Mar  6 2003 Shingo Akagaqki <dora@kitty.dnsalias.org>
- (0.99.74-2m)
- [Momonga-devel.ja:01456]

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.74-1m)
- major feature enhancements

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.73-1m)
- minor feature enhencements

* Thu Sep 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.72-1m)
- minor bugfixes

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.71-2m)
- rebuild against alsa-lib-0.9.0
- never use 'AutoReqProv: no'

* Mon Aug 26 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.99.71-1m)
- version up

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.99.70-8k)
- cancel gcc-3.1 autoconf-2.53

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.99.70-6k)
  applied gcc 3.1 patch

* Mon May 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.99.70-4k)
  can't apply patch0, 2.
  boroboro B-<

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (0.99.70-2k)
- version up.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.99.50-6k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Thu Jan 10 2002 Shingo Akagaki <dora@kondara.org>
- (0.99.50-4k)
- automake autoconf 1.5

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- (0.99.50-2k)
- up to 0.99.50 because
  tar xzf alsaplayer09932 -> alsaplayer09950 TT

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.32-10k)
- add alsaplayer.ppc.patch

* Tue Dec  5 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.32-8k)
- fixed JITTERUBG #799

* Fri Nov 17 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Fix %doc

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.32-5k)
- fixed for FHS

* Sat Jun 17 2000 Uechi Yasumasa <uh@kondara.org>
- fix spec file for Kondara
- jp patch
* Tue Oct 19 1999 Miles Lott <milos@insync.net>
- added Provides: libasound.so.0 line to fix
- that require.
- Removed /usr/lib/libasound.so.0 from files and
- ldconfig from spec file post and postun sections
- Altered version/release to adhere to convention
* Mon Oct 4 1999 0.99.28
- Fixes in the Mpg123 and WAV plugins
- Input plugins are now pure C, easier development
- Playlist works better
- Multiple file select in dialogs
- Rewrote Levelmeter and spacescope, less code
- Accepts files on the command line now
- NULL output plugin, for testing purposes
- Many other minor bug fixes
